## org.biojava.bio.seq.io.agave
Class AGAVEXrefPropHandler

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase
          org.biojava.bio.seq.io.agave.StAXPropertyHandler
              org.biojava.bio.seq.io.agave.AGAVEXrefPropHandler

All Implemented Interfaces:
  AGAVEDbIdCallbackItf, AGAVEDbIdPropCallbackItf, StAXContentHandler

    public class AGAVEXrefPropHandler

extends StAXPropertyHandler
implements AGAVEDbIdCallbackItf, AGAVEDbIdPropCallbackItf

handle AGAVE xref

Author:
  Hanning Ni , Doubletwist Inc

Field Summary
`static StAXHandlerFactory` `AGAVE_XREF_PROP_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.agave.StAXPropertyHandler
`featureListener, staxenv`

Method Summary
`void` `addDbId(AGAVEDbId db_id)`
`void` `addProperty(AGAVEProperty prop)`
`void` `endElementHandler(String nsURI, String localName, String qName, StAXContentHandler handler)` Element specific exit handler Subclass to do anything useful.

Methods inherited from class org.biojava.bio.seq.io.agave.StAXPropertyHandler
`addHandler, endElement, getHandlerStackIterator, setHandlerCharacteristics, setProperty, startElement, startElementHandler`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGAVE_XREF_PROP_HANDLER_FACTORY

    public static final StAXHandlerFactory AGAVE_XREF_PROP_HANDLER_FACTORY

Method Detail

### addDbId

    public void addDbId(AGAVEDbId db_id)

  Specified by:
    `addDbId` in interface `AGAVEDbIdCallbackItf`

### addProperty

    public void addProperty(AGAVEProperty prop)

  Specified by:
    `addProperty` in interface `AGAVEDbIdPropCallbackItf`
  Parameters:
    `prop` - here is xref_property

### endElementHandler

    public void endElementHandler(String nsURI,
                                  String localName,
                                  String qName,
                                  StAXContentHandler handler)
                           throws SAXException

  Description copied from class: `StAXPropertyHandler`
  Element specific exit handler Subclass to do anything useful.

  Overrides:
    `endElementHandler` in class `StAXPropertyHandler`
  Throws:
    `SAXException`